package com.gree.mall.manager.utils;


import com.gree.mall.manager.helper.ResponseHelper;

/**
 *
 */
public class CommonException extends Exception {
    private int code;
    private String message;

    public CommonException(String message){
        this.code = ResponseHelper.ResponseCode_COMMON;
        this.message = message;
    }

    public CommonException(int code, String message) {

        this.code = code;
        this.message = message;

    }

    @Override
    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {

        return this.code;
    }
}
